<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");


$columns = array();
$columna = array(
        'field'=>'clase',
        'label'=>'Tipo',
        'width'=>'80%',
        'numeric'=>false
        );
array_push($columns,$columna);
$columna = array(
        'field'=>'cantidad',
        'label'=>'Cantidad',
        'numeric'=>true
);
array_push($columns,$columna);

$res = array();

//INDICADOR 1 - TRAMOS POR CCZ____________________________________________________________________________________________________
$sql = "SELECT count(id) AS CANTIDAD, ccz AS CLASE FROM `cat_tramos` WHERE activo = 1 GROUP BY ccz ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
                    'nombre'=>'Tramos por CCZ',
                    'color'=>'#6DA452',
                    'datos'=>$data,
                    'columns'=>$columns
);
array_push($res,$indicador);
}

//INDICADOR 1a - TRAMOS POR CCZ_LONGITUD___________________________________________________________________________________________________
$sql = "SELECT CAST((sum(longitud)) AS UNSIGNED) AS CANTIDAD, ccz AS CLASE FROM `cat_tramos` WHERE activo = 1 GROUP BY ccz ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
                    'nombre'=>'Longitud de Red en metros por CCZ',
                    'color'=>'#6DA452',
                    'datos'=>$data,
                    'columns'=>$columns
);
array_push($res,$indicador);
}

//INDICADOR 2 - PUNTOS SINGULARES POR CCZ_____________________________________________________________________________________________________
$sql = "SELECT count(id) AS CANTIDAD, ccz AS CLASE FROM `cat_psingulares` WHERE activo = 1 GROUP BY ccz ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Puntos Singulares por CCZ',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}


//INDICADOR 3 - captaciones POR CCZ_____________________________________________________________________________________________________
$sql = "SELECT count(elem_red) AS CANTIDAD, ccz AS CLASE FROM `cat_captaciones` WHERE activo = 1 GROUP BY ccz ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Captaciones por CCZ',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}


//INDICADOR 4 - TRAMOS POR MUNICIPIO____________________________________________________________________________________________________
$sql = "SELECT count(A.id) AS CANTIDAD, B.MUNICIPIO AS CLASE FROM cat_tramos A INNER JOIN geo_cczs B ON A.ccz = B.NOMBRE WHERE activo = 1 GROUP BY B.MUNICIPIO ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
                    'nombre'=>'Tramos por Municipio',
                    'color'=>'#6DA452',
                    'datos'=>$data,
                    'columns'=>$columns
);
array_push($res,$indicador);
}


//INDICADOR 4a - TRAMOS POR MUNICIPIO_LONGITUD___________________________________________________________________________________________________
$sql = "SELECT CAST((sum(A.longitud)) AS UNSIGNED) AS CANTIDAD, B.MUNICIPIO AS CLASE FROM cat_tramos A INNER JOIN geo_cczs B ON A.ccz = B.NOMBRE WHERE activo = 1 GROUP BY B.MUNICIPIO ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
                    'nombre'=>'Longitud de Red en metros por Municipio',
                    'color'=>'#6DA452',
                    'datos'=>$data,
                    'columns'=>$columns
);
array_push($res,$indicador);
}



//INDICADOR 5 - PUNTOS SINGULARES POR MUNICIPIO_____________________________________________________________________________________________________
$sql = "SELECT count(A.id) AS CANTIDAD, B.MUNICIPIO AS CLASE FROM cat_psingulares A INNER JOIN geo_cczs B ON A.ccz = B.NOMBRE WHERE activo = 1 GROUP BY B.MUNICIPIO ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Puntos Singulares por Municipio',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}


//INDICADOR 6 - CAPTACIONES POR MUNICIPIO_____________________________________________________________________________________________________
$sql = "SELECT count(A.elem_red) AS CANTIDAD, B.MUNICIPIO AS CLASE FROM cat_captaciones A INNER JOIN geo_cczs B ON A.ccz = B.NOMBRE WHERE activo = 1 GROUP BY B.MUNICIPIO ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Captaciones por Municipio',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}

//INDICADOR 6b - INTERVENCIONES EN CAPTACION POR MUNICIPIO_____________________________________________________________________________________________________

$sql = "SELECT count(A.elem_red) AS CANTIDAD, B.MUNICIPIO AS CLASE FROM cat_captaciones AS A INNER JOIN geo_cczs AS B ON A.ccz = B.NOMBRE WHERE activo = 1 AND EXISTS (    SELECT 1     FROM int_captaciones AS C     WHERE C.fecha >= DATE_SUB(CURDATE(), INTERVAL 1 MONTH)    AND A.elem_red = C.id_captacion) GROUP BY B.MUNICIPIO ORDER by CANTIDAD DESC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$row['CLASE'],
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
    'nombre'=>'Captaciones con intervenciones en último mes por Municipio',
    'color'=>'#6DA452',
    'datos'=>$data,
    'columns'=>$columns
);
array_push($res,$indicador);
}

//INDICADOR 1B - TRAMOS POR CCZ_LONGITUD POR TIPO DE TRAMO___________________________________________________________________________________________________
$sql = "SELECT CAST((sum(longitud)) AS UNSIGNED) AS CANTIDAD, ccz AS CLASE, ";
$sql .= "IF(tipotra = 49, 'Pluvial', IF(tipotra = 50, 'Separativo', IF(tipotra = 51, 'Mixto',IF(tipotra = 53,'Unitario',IF(tipotra = 55,'Impulsion', 'Otros')))  )) AS TIPOTRA2 ";
$sql .= "FROM cat_tramos WHERE activo = 1 GROUP BY CONCAT(ccz,TIPOTRA2) ORDER by CONCAT(ccz,TIPOTRA2) ASC";
$resultado = mysqli_query($con,$sql);
$contador = 0;
$data = array();
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $contador++;
            $clase = $row['CLASE'] . "-" . $row['TIPOTRA2'];
			$elem = array(
                    'id'=>$contador,
                    'clase'=>$clase,
                    'cantidad'=>$row['CANTIDAD']
            );
            array_push($data,$elem);
        }
    }
}
if (count($data) > 0)
{
$indicador = array(
                    'nombre'=>'Longitud de Red en metros por CCZ por Tipo de Red',
                    'color'=>'#6DA452',
                    'datos'=>$data,
                    'columns'=>$columns
);
array_push($res,$indicador);
}





mysqli_close($con);
echo json_encode($res);
?>